wxGridHeaderLabelsRenderer Class Reference | wxWidgets

| Version: 3.2.11

Loading...
Searching...
No Matches
Public Member Functions | List of all members
wxGridHeaderLabelsRenderer Class Referenceabstract

`#include </cygdrive/c/Users/Hamis/Cygwin-packaging/wxWidgets3.2/wxWidgets3.2-3.2.11-1.x86_64/src/wxWidgets-3.2.11/interface/wx/grid.h>`

Inheritance diagram for wxGridHeaderLabelsRenderer:
[legend]

## Detailed Description

Base class for header cells renderers.

A cell renderer can be used to draw the text of a cell's label, and/or the border around it.

Since
  2.9.1

## Public Member Functions
virtual void | DrawBorder (const wxGrid &grid, wxDC &dc, wxRect &rect) const =0
| Called by the grid to draw the border around the cell header.
virtual void | DrawLabel (const wxGrid &grid, wxDC &dc, const wxString &value, const wxRect &rect, int horizAlign, int vertAlign, int textOrientation) const
| Called by the grid to draw the specified label.

## Member Function Documentation

## ◆ DrawBorder()

virtual void wxGridHeaderLabelsRenderer::DrawBorder | ( | const wxGrid & | grid,
|  | wxDC & | dc,
|  | wxRect & | rect ) const
| pure virtual

Called by the grid to draw the border around the cell header.

This method is responsible for drawing the border inside the given rect and adjusting the rectangle size to correspond to the area inside the border, i.e. usually call wxRect::Deflate() to account for the border width.

Parameters

  grid | The grid whose header cell window is being drawn.
  dc | The device context to use for drawing.
  rect | Input/output parameter which contains the border rectangle on input and should be updated to contain the area inside the border on function return.

Implemented in wxGridColumnHeaderRendererDefault, wxGridCornerHeaderRendererDefault, and wxGridRowHeaderRendererDefault.

## ◆ DrawLabel()

virtual void wxGridHeaderLabelsRenderer::DrawLabel | ( | const wxGrid & | grid,
|  | wxDC & | dc,
|  | const wxString & | value,
|  | const wxRect & | rect,
|  | int | horizAlign,
|  | int | vertAlign,
|  | int | textOrientation ) const
| virtual

Called by the grid to draw the specified label.

Notice that the DrawBorder() method is called before this one.

The default implementation uses wxGrid::GetLabelTextColour() and wxGrid::GetLabelFont() to draw the label.